org.eclipse.wst.jsdt.core.infer

## Class InferrenceManager

- java.lang.Object
- - org.eclipse.wst.jsdt.core.infer.InferrenceManager

    public class InferrenceManager
    extends java.lang.Object

Internal Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`protected static java.lang.String` `ATTR_INFERENGINE_CLASS`
`static java.lang.String` `EXTENSION_POINT`
`protected static java.lang.String` `TAG_INFERENCE_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`InferrenceManager()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IInferEngine[]` `getInferenceEngines(org.eclipse.wst.jsdt.internal.compiler.ast.CompilationUnitDeclaration script)` The base Inference Engine is always added first.
`InferrenceProvider[]` `getInferenceProviders()`
`InferrenceProvider[]` `getInferenceProviders(IInferenceFile script)`
`static InferrenceManager` `getInstance()`
`protected void` `loadInferenceExtensions()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXTENSION_POINT

    public static final java.lang.String EXTENSION_POINT

See Also:
  Constant Field Values

#### TAG_INFERENCE_PROVIDER

    protected static final java.lang.String TAG_INFERENCE_PROVIDER

See Also:
  Constant Field Values

#### ATTR_INFERENGINE_CLASS

    protected static final java.lang.String ATTR_INFERENGINE_CLASS

See Also:
  Constant Field Values

### Constructor Detail

#### InferrenceManager

    public InferrenceManager()

### Method Detail

#### getInstance

    public static InferrenceManager getInstance()

#### getInferenceProviders

    public InferrenceProvider[] getInferenceProviders()

#### getInferenceProviders

    public InferrenceProvider[] getInferenceProviders(IInferenceFile script)

#### getInferenceEngines

    public IInferEngine[] getInferenceEngines(org.eclipse.wst.jsdt.internal.compiler.ast.CompilationUnitDeclaration script)

The base Inference Engine is always added first. This method adds additional inference engines.

Parameters:
  `script` -
Returns:

#### loadInferenceExtensions

    protected void loadInferenceExtensions()